Suporte aos MODs/Hacks para phpBB.
  • Avatar do usuário
  • Avatar do usuário
  • Avatar do usuário
By marcelosh
Posts Avatar
#292706
Amigos,

Gostaria de saber se alguém conhece um MOD que envia imagens de uma maneira mais fácil, algo que a pessoa envie diretamente para meu servidor e o código diretamente para o post.

Abss
#292993
Leinad4Mind escreveu:Ou tem esta: https://www.phpbb.com/community/viewtop ... 0&t=673015
Ainda não testei esta, mas creio que dá para a 3.1.
(E sim... Consigo instalar MODs da 3.0 na 3.1)

Cumprimentos
Apesar de ser possível, não recomenda-se esse tipo de ato. Isso se dá por total responsabilidade de quem faz. Caso dê algum problema, não pode cupar ao desenvolvedor. A phpBB "repudia" esse tipo de ato.
Avatar do usuário
By Leinad4Mind
Posts Avatar
#292998
Repudia porque eles são "nabiças" x'D. Just kiddin... A verdade é que fazem um sistema com diversas falhas... Deseja actualizar uma extensão, perde todas as modificações que fez à mesma. Dando muito mais trabalho para repôr as modificações, entre outras coisas que... bom... Eles lá sabem.
É natural que alterar o core de um software demasiado faz com que seja díficil adicionar novas modificações. Se bem que eu já instalei 154 MODs em 1 só fórum, e está tudo funcionando perfeitamente. E a dificuldade sempre foi instalar tanto MOD sem que não haja conflitos. Pois mais de 20 MODs já é desaconselhado pelo phpBB. Desaconselhado para quem pouco percebe. E eles não querem receber as culpas de algo correr mal. Já com extensões, já permite teoricamente instalar e desinstalar sem que nada acontece ao Core. Mas não quer dizer que não se possa alterar o core!
Vai tudo da nossa necessidade. Há MODs para a 3.0 que será impossível de importar para a 3.1, pois a plataforma 3.1 não permite esses MODs em Extensão de forma alguma. Daí que nesses casos (um pouco raros) existe necessidade de usar MODs para a 3.1

Cumprimentos
Avatar do usuário
By LucasLV
Avatar
#293007
Algumas extensões sao impedidas de sererem desenvolvidas por conta dos eventos que ainda faltam nessa atual versão, mas no futuro vão inserindo todos. É bem chato isso. Também já mudei o core do 3.1, o único problema foi depois da atualização com o pacote de atualização. Parecia tudo bem até abrir um tópico e tava lá o Fatal Error
Configuração de Permissão

ACP > aba Geral > Ferramentas do fóru[…]